namespace Avalonia.Media.TextFormatting.Unicode
{
    public enum Script
    {
        Unknown, //Zzzz
        Common, //Zyyy
        Inherited, //Zinh
        Adlam, //Adlm
        CaucasianAlbanian, //Aghb
        Ahom, //Ahom
        Arabic, //Arab
        ImperialAramaic, //Armi
        Armenian, //Armn
        Avestan, //Avst
        Balinese, //Bali
        Bamum, //Bamu
        BassaVah, //Bass
        Batak, //Batk
        Bengali, //Beng
        Bhaiksuki, //Bhks
        Bopomofo, //Bopo
        Brahmi, //Brah
        Braille, //Brai
        Buginese, //Bugi
        Buhid, //Buhd
        Chakma, //Cakm
        CanadianAboriginal, //Cans
        Carian, //Cari
        Cham, //Cham
        Cherokee, //Cher
        Chorasmian, //Chrs
        Coptic, //Copt
        CyproMinoan, //Cpmn
        Cypriot, //Cprt
        Cyrillic, //Cyrl
        Devanagari, //Deva
        DivesAkuru, //Diak
        Dogra, //Dogr
        Deseret, //Dsrt
        Duployan, //Dupl
        EgyptianHieroglyphs, //Egyp
        Elbasan, //Elba
        Elymaic, //Elym
        Ethiopic, //Ethi
        Georgian, //Geor
        Glagolitic, //Glag
        GunjalaGondi, //Gong
        MasaramGondi, //Gonm
        Gothic, //Goth
        Grantha, //Gran
        Greek, //Grek
        Gujarati, //Gujr
        Gurmukhi, //Guru
        Hangul, //Hang
        Han, //Hani
        Hanunoo, //Hano
        Hatran, //Hatr
        Hebrew, //Hebr
        Hiragana, //Hira
        AnatolianHieroglyphs, //Hluw
        PahawhHmong, //Hmng
        NyiakengPuachueHmong, //Hmnp
        KatakanaOrHiragana, //Hrkt
        OldHungarian, //Hung
        OldItalic, //Ital
        Javanese, //Java
        KayahLi, //Kali
        Katakana, //Kana
        Kawi, //Kawi
        Kharoshthi, //Khar
        Khmer, //Khmr
        Khojki, //Khoj
        KhitanSmallScript, //Kits
        Kannada, //Knda
        Kaithi, //Kthi
        TaiTham, //Lana
        Lao, //Laoo
        Latin, //Latn
        Lepcha, //Lepc
        Limbu, //Limb
        LinearA, //Lina
        LinearB, //Linb
        Lisu, //Lisu
        Lycian, //Lyci
        Lydian, //Lydi
        Mahajani, //Mahj
        Makasar, //Maka
        Mandaic, //Mand
        Manichaean, //Mani
        Marchen, //Marc
        Medefaidrin, //Medf
        MendeKikakui, //Mend
        MeroiticCursive, //Merc
        MeroiticHieroglyphs, //Mero
        Malayalam, //Mlym
        Modi, //Modi
        Mongolian, //Mong
        Mro, //Mroo
        MeeteiMayek, //Mtei
        Multani, //Mult
        Myanmar, //Mymr
        NagMundari, //Nagm
        Nandinagari, //Nand
        OldNorthArabian, //Narb
        Nabataean, //Nbat
        Newa, //Newa
        Nko, //Nkoo
        Nushu, //Nshu
        Ogham, //Ogam
        OlChiki, //Olck
        OldTurkic, //Orkh
        Oriya, //Orya
        Osage, //Osge
        Osmanya, //Osma
        OldUyghur, //Ougr
        Palmyrene, //Palm
        PauCinHau, //Pauc
        OldPermic, //Perm
        PhagsPa, //Phag
        InscriptionalPahlavi, //Phli
        PsalterPahlavi, //Phlp
        Phoenician, //Phnx
        Miao, //Plrd
        InscriptionalParthian, //Prti
        Rejang, //Rjng
        HanifiRohingya, //Rohg
        Runic, //Runr
        Samaritan, //Samr
        OldSouthArabian, //Sarb
        Saurashtra, //Saur
        SignWriting, //Sgnw
        Shavian, //Shaw
        Sharada, //Shrd
        Siddham, //Sidd
        Khudawadi, //Sind
        Sinhala, //Sinh
        Sogdian, //Sogd
        OldSogdian, //Sogo
        SoraSompeng, //Sora
        Soyombo, //Soyo
        Sundanese, //Sund
        SylotiNagri, //Sylo
        Syriac, //Syrc
        Tagbanwa, //Tagb
        Takri, //Takr
        TaiLe, //Tale
        NewTaiLue, //Talu
        Tamil, //Taml
        Tangut, //Tang
        TaiViet, //Tavt
        Telugu, //Telu
        Tifinagh, //Tfng
        Tagalog, //Tglg
        Thaana, //Thaa
        Thai, //Thai
        Tibetan, //Tibt
        Tirhuta, //Tirh
        Tangsa, //Tnsa
        Toto, //Toto
        Ugaritic, //Ugar
        Vai, //Vaii
        Vithkuqi, //Vith
        WarangCiti, //Wara
        Wancho, //Wcho
        OldPersian, //Xpeo
        Cuneiform, //Xsux
        Yezidi, //Yezi
        Yi, //Yiii
        ZanabazarSquare, //Zanb
    }
}
